## qrtr-version

qrtr-version — Version information in the API.

## Functions

#define | QRTR_CHECK_VERSION()

## Types and Values

#define | QRTR_MAJOR_VERSION
#define | QRTR_MINOR_VERSION
#define | QRTR_MICRO_VERSION

## Description

This section defines types that are used to identify the libqrtr-glib version.

## Functions

### QRTR_CHECK_VERSION()

    #define             QRTR_CHECK_VERSION(major,minor,micro)

Checks the version of the libqrtr library that is being compiled against.

#### Parameters

major | major version (e.g. 1 for version 1.2.5) |
minor | minor version (e.g. 2 for version 1.2.5) |
micro | micro version (e.g. 5 for version 1.2.5) |

#### Returns

`TRUE` if the version of the libqrtr-glib header files is the same as or newer than the passed-in version.

Since: 1.0

## Types and Values

### QRTR_MAJOR_VERSION

    #define QRTR_MAJOR_VERSION (1)

Evaluates to the major version number of libqrtr-glib which this source is compiled against.

Since: 1.0

### QRTR_MINOR_VERSION

    #define QRTR_MINOR_VERSION (2)

Evaluates to the minor version number of libqrtr-glib which this source is compiled against.

Since: 1.0

### QRTR_MICRO_VERSION

    #define QRTR_MICRO_VERSION (2)

Evaluates to the micro version number of libqrtr-glib which this source compiled against.

Since: 1.0